<bugID>965113<Summary>figure out whether syncBrand.fxa-singular.label/syncBrand.fxa-plural.label is OK from an l10n point of view</Summary><Description>So far these strings are only used as titles, I think.

But maybe they need to be properly plural-formed (https://developer.mozilla.org/en-US/docs/Localization_and_Plurals) so that they can vary depending on context?

(bug 957426 and bug 965016 have some context about where these are used)</Description></bugID>